# -*- encoding: utf-8 -*-
# stub: ec2i3 0.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ec2i3".freeze
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["James Robertson".freeze]
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIEXjCCAsagAwIBAgIBATANBgkqhkiG9w0BAQsFADAsMSowKAYDVQQDDCFnZW1t\nYXN0ZXIvREM9amFtZXNyb2JlcnRzb24vREM9ZXUwHhcNMTkwNDIwMTcyODQwWhcN\nMjAwNDE5MTcyODQwWjAsMSowKAYDVQQDDCFnZW1tYXN0ZXIvREM9amFtZXNyb2Jl\ncnRzb24vREM9ZXUwggGiMA0GCSqGSIb3DQEBAQUAA4IBjwAwggGKAoIBgQDL/6Ta\nYNsL8XaxmvwVS8X01jVu6Gx542aVx+CLQKCG+YLPib1lAdFJhPK1IVWB4B+IoavC\njil0hELFmlKjAA+CopoKEDp8cZIjF1ZVz6UigEvgFYH9+g6dELt4bowr6mF5Mfkt\nAQuI/5C0Alpl1fiJBMCIE3R0PAXNmMS0OO6Cp76xDQ5rqgNArFXLJBxpuzbgw5J7\nHVPWUoGSnacc2W8sPGhZplVP1h1VaZAGtCPYZ7RyItVftcUBcQROb9LvjjHWChiU\nUY96XfUZ0aDTaXZJAqbz6BLf1mkKeRA3f5fgOudNettaHufAQ+mxrgak6f7GjBZa\nRs5wJ+QT5RSzbzizo0Tg72K+R6AZpQ553zxFF/n/HaAC2/jCVljnzfOHpNyC+RnJ\nA0/VC2TWjQF+0rTLzyGW2OfFQsdUg13ukNm8Y5CAMpg9S3B3uCT4VVsE2fA+5ECt\n9stSzLKmR9va8WU93ZvpnrpE18+Z+cFPFsTEbLQ+LRQIRuIZLxbg/XH3I/8CAwEA\nAaOBijCBhzAJBgNVHRMEAjAAMAsGA1UdDwQEAwIEsDAdBgNVHQ4EFgQUU72OL2MK\n7Ghx7E0ovcrpVKhH+mwwJgYDVR0RBB8wHYEbZ2VtbWFzdGVyQGphbWVzcm9iZXJ0\nc29uLmV1MCYGA1UdEgQfMB2BG2dlbW1hc3RlckBqYW1lc3JvYmVydHNvbi5ldTAN\nBgkqhkiG9w0BAQsFAAOCAYEAkM+dwv0/JWruqmkdVx26USVGfg5psimlXvkzve93\nA8NJLpQFk364tGFizx24Uz29tw0/5z0MoSPDbJIC1MT+bcvK47MmMUdktlUvbP2A\ntyNcrU+AM4LcwsISGSLkTaGuzG0Ih6u/mPfdDZjyZxg4rkYCpH0AomDnYl1EroGT\nmcHOBNeU+D2NoLCHnOZOBspKfqeW1XMtoCSkNMB7Vle7zJDBR/4oHJeRSdyOWDuR\n38VrmO0Qm7ZvbrEDs9Iwt83xmiCkXKf8A/JR1Kz6jY/Uf/Vt2kq/5/7BAIEQxR6m\n83kRBewt6SU2AUjgk6kCMA+vB6d4dVs8HD4LJtwVRLs6eF4iJ48InS8DUxH4VW0Z\nJ67xbhD1ZboM/9q0PjRO7tN+GmuBjxl4qjp9Pf2Uwb2AL5t/ia5l50T6eLEpEZyR\nkY8iTvw5up87x/GW5A8MuKbaAh/2yyd6DVtEHuqZpkgfsLlSdGEyjxb6JLsp1sVD\n/6mGGuXQy0/vHYaKgm7lZXdA\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2019-04-20"
  s.email = "james@jamesrobertson.eu".freeze
  s.homepage = "https://github.com/jrobertson/ec2i3".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "EC2 in 3 steps: step 1. register the AWS account details in the XML registry, step 2. launch the EC2 instance, step 3. Publish the status of the instance using SimplePubSub.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<instant_ec2>.freeze, [">= 0.2.0", "~> 0.2"])
    s.add_runtime_dependency(%q<sps-pub>.freeze, ["~> 0.5", ">= 0.5.5"])
    s.add_runtime_dependency(%q<encrypt>.freeze, [">= 0.1.0", "~> 0.1"])
    s.add_runtime_dependency(%q<xml-registry>.freeze, [">= 0.6.0", "~> 0.6"])
    s.add_runtime_dependency(%q<dynarex-password>.freeze, ["~> 0.1", ">= 0.1.12"])
  else
    s.add_dependency(%q<instant_ec2>.freeze, [">= 0.2.0", "~> 0.2"])
    s.add_dependency(%q<sps-pub>.freeze, ["~> 0.5", ">= 0.5.5"])
    s.add_dependency(%q<encrypt>.freeze, [">= 0.1.0", "~> 0.1"])
    s.add_dependency(%q<xml-registry>.freeze, [">= 0.6.0", "~> 0.6"])
    s.add_dependency(%q<dynarex-password>.freeze, ["~> 0.1", ">= 0.1.12"])
  end
end
